Copy PageClaim a reward for a specific customerpost https://api.staging.antavo.com/customers/{customer_id}/activities/rewards/{reward_id}/claimThis endpoint allows for claiming a reward for a customer.Path Paramscustomer_idstringrequiredUnique customer ID. This can be The Antavo customer ID An external ID (requires configuration): {external_field:external_id_value} reward_idstringrequiredUnique reward ID.Query ParamsfieldsstringenumReturns additional objects in the response, using a comma separated list. Options: customer: The complete customer response object with all customer attributes. reward: The complete reward object with all reward attributes. customerrewardAllowed:customerrewardForm DataA request body is only required for specific scenarios. Dynamic rewards: The stated points are used to calculate the value of the generated dynamic coupon. Making multiple claims in a single API request: Repeated identical reward claims can be combined into an single request, reducing API traffic. pointsintegerPoints to be used when claiming a dynamic type of reward.countintegerThe number of times that the reward is claimed in a single API request. This is only needed for multiple claims.Responses 200Claim result. A coupon object is returned only for coupon rewards. 400Bad request 404Customer not foundUpdated almost 2 years ago Retrieve a specific reward available for a customerRevoke a previously claimed rewardDid this page help you?YesNo